Bug 732329 - Updating nagios-3.2.3 SRPM to nagios 3.3.1 requires patches
Summary: Updating nagios-3.2.3 SRPM to nagios 3.3.1 requires patches
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios
Version: 16
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jose Pedro Oliveira
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 02:33 UTC by Nico Kadel-Garcia
Modified: 2012-02-28 17:29 UTC (History)
6 users (show)

Fixed In Version: nagios-3.3.1-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-21 01:30:37 UTC


Attachments (Terms of Use)
Patch nagios/html/Makefile.in to skip installation of non-files (3.55 KB, patch)
2011-08-22 02:38 UTC, Nico Kadel-Garcia
no flags Details | Diff
Upgrade nagios-3.2.3 .spe file to nagios-3.3.1, including patches (1.39 KB, application/octet-stream)
2011-08-22 02:43 UTC, Nico Kadel-Garcia
no flags Details

Description Nico Kadel-Garcia 2011-08-22 02:33:11 UTC
User-Agent:       Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.0; WOW64; Trident/5.0)

Nagios 3.3.1 is out. This is a feature request to update to that version, which has some useful fixes.

The Fedora 16 testing release of nagios-3.2.3 for is almost entirely compatible excep that updating to nagios-3.3.1 needs a "%setup -q -n nagios" statement, instead of "%setup -q", because Nagios Exchange published the nagios-3.3.1.tar.gz tarball as the contents of the "nagios" directory.

The other issue is that a patch is needed for nagios/html/Makefile.in to help it skip, gracefully, over subdirectories and not generate errors which cause RPM compilation to fail. I'm attaching a patch for this and a modified .spec file. It also compiles well on RHEL 5 and RHEL 6, so it may be worth porting to EPEL. If not, I'll push it for the RPMforge "extras" for those older releases.

Reproducible: Always

Comment 1 Nico Kadel-Garcia 2011-08-22 02:38:47 UTC
Created attachment 519214 [details]
Patch nagios/html/Makefile.in to skip installation of non-files

Fixes nagios/html/Makefile.in of nagios-3.3.1 install procedure, which tries and fails to install subdirectories like normal files.

Comment 2 Nico Kadel-Garcia 2011-08-22 02:43:43 UTC
Created attachment 519215 [details]
Upgrade nagios-3.2.3 .spe file to nagios-3.3.1, including patches

Update nagios-3.2.3 .spec file to nagios-3.3.1. Changes "%setup -q" to "%setup -q -n nagios", consistent with new tarball layout. Add hooks for patch to improve html/Makefile.in install procedure.

Comment 3 Fedora Update System 2012-02-08 02:11:28 UTC
nagios-3.3.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nagios-3.3.1-1.fc16

Comment 4 Fedora Update System 2012-02-08 02:12:52 UTC
nagios-3.3.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nagios-3.3.1-1.fc15

Comment 5 Fedora Update System 2012-02-08 02:14:26 UTC
nagios-3.3.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nagios-3.3.1-1.el6

Comment 6 Fedora Update System 2012-02-08 20:33:21 UTC
Package nagios-3.3.1-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing nagios-3.3.1-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0379/nagios-3.3.1-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-02-10 02:56:29 UTC
nagios-3.3.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nagios-3.3.1-2.fc16

Comment 8 Fedora Update System 2012-02-10 02:59:33 UTC
nagios-3.3.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nagios-3.3.1-2.fc15

Comment 9 Fedora Update System 2012-02-10 03:01:03 UTC
nagios-3.3.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nagios-3.3.1-2.el6

Comment 10 Fedora Update System 2012-02-11 19:27:23 UTC
nagios-3.3.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nagios-3.3.1-3.fc16

Comment 11 Fedora Update System 2012-02-11 19:28:38 UTC
nagios-3.3.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nagios-3.3.1-3.fc15

Comment 12 Fedora Update System 2012-02-11 19:30:09 UTC
nagios-3.3.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nagios-3.3.1-3.el6

Comment 13 Fedora Update System 2012-02-21 01:30:37 UTC
nagios-3.3.1-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-02-21 01:31:30 UTC
nagios-3.3.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2012-02-28 17:29:22 UTC
nagios-3.3.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.